import React, { useState, useCallback } from 'react';
import ReactDOM from 'react-doom';


const width = 960;
const height = 500;
const circleRadius = 30;
const initialMousePosition = {x:width/2, y:height/2};

const App = () => {
  
  const [mausePosition, setMousePosition] = useState(initialMousePosition);
  
  const handleMouseMove = useCallback(event => {
    const {clientX, clientY} = event;
    setMousePosition({x:clientX, y:clientY});
  }, [setMousePosition]);
  
  return (
    <svg width={width} height={height} onMouseMove={handleMouseMove} >
      <circle 
        cx={mausePosition.x} 
        cy={mausePosition.y}
        r={circleRadius}
      />
    </svg>
  );
};

const rootElement = document.getElementById("root");
ReactDOM.render(
  <React.StrictMode>
    <App />
  </React.StrictMode>,
  rootElement
);




















